function getWidgetName(schema, map) {
  const { type, format, enum: enums, readonly } = schema;
  const list = [];
  if (readonly) {
    list.push(`${type}?readonly`);
    list.push('*?readonly');
  }
  if (enums) {
    list.push(`${type}?enum`);
    // array 默认使用list，array?enum 默认使用checkboxes，*?enum 默认使用select
    list.push('*?enum');
  }
  if (format) {
    list.push(`${type}:${format}`);
  }
  list.push(type); // 放在最后兜底，其他都不match时使用type默认的组件
  let found = '';
  list.some(item => {
    found = map[item];
    return !!found;
  });
  return found;
}

export default function getField(
  schema = {},
  { customized, generated, mapping }
) {
  const { 'ui:widget': widget, 'ui:field': field } = schema;
  // Field能否被重定义
  let fieldCanRedefine = false;
  let Field;
  if (field && !Field) {
    Field = typeof field === 'string' ? customized[field] : field;
  }
  if (!Field && widget) {
    Field = typeof widget === 'string' ? generated[widget] : widget;
  }
  if (!Field && !widget) {
    Field = generated[getWidgetName(schema, mapping)];
    fieldCanRedefine = !!Field;
  }
  return {
    fieldCanRedefine,
    Field: Field || null,
  };
}
